package com.ruoyi.ibs.draw.service;

import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridAddDTO;
import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridEditDTO;
import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridListDTO;
import com.ruoyi.ibs.draw.domain.vo.DrawGridListVO;
import com.ruoyi.ibs.draw.domain.vo.DrawGridVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/12/25
 **/
public interface DrawGridService {

    String addDrawGrid(DrawGridAddDTO drawGridAddDTO);

    String editDrawGrid(DrawGridEditDTO drawGridEditDTO);

    DrawGridVO getDrawGrid(Long gridId);

    String deleteDrawGrid(List<Long> gridIds);

    List<DrawGridListVO> getGridList(DrawGridListDTO drawGridListDTO);




}
